<mat-list role="list" *ngIf="clicked">
    <mat-list-item role="listitem" *ngFor="let hero of heroes">
        <p>Name:{{hero.name}} Id:{{hero.id}}</p>
    </mat-list-item>
</mat-list>
<button mat-stroked-button  (click)="mostrarHeroes()">Mostrar</button>
<button mat-stroked-button (click)="esconderHeroes()">Esconder</button>